<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionDismantlePart.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d04/_action_dismantle_part_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionDismantlePart.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d04/_action_dismantle_part_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/d33/class_action_dismantle_part_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d33/class_action_dismantle_part_c_b.html">ActionDismantlePartCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d33/class_action_dismantle_part_c_b.html#ae287b746b7b8f8a89b5b39ab97ca3210">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d33/class_action_dismantle_part_c_b.html#ae287b746b7b8f8a89b5b39ab97ca3210">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordtype">float</span> time = <a class="code hl_function" href="../../d9/d33/class_action_dismantle_part_c_b.html#aa408122495e5455f74dd9975447fc330">SetCallbackDuration</a>(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a>( time );</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/d33/class_action_dismantle_part_c_b.html#aa408122495e5455f74dd9975447fc330">    9</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d9/d33/class_action_dismantle_part_c_b.html#aa408122495e5455f74dd9975447fc330">SetCallbackDuration</a>( <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="comment">/*switch( item.Type() )</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">        {</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">            case Pickaxe:</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">            case Shovel:</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">            case FieldShovel:</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment">                return UATimeSpent.BASEBUILDING_DECONSTRUCT_MEDIUM;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">            case FirefighterAxe:</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">                return UATimeSpent.BASEBUILDING_DECONSTRUCT_FAST;</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">            default:</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">                return UATimeSpent.BASEBUILDING_DECONSTRUCT_SLOW;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">        }*/</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a>.<a class="code hl_variable" href="../../d8/d3b/class_u_a_time_spent.html#abacfa3f734ee6aadd33f41db0817a93f">BASEBUILDING_DECONSTRUCT_SLOW</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>};</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html">   26</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d9d/class_action_dismantle_part.html">ActionDismantlePart</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>{</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#afcd8e19633c56f02a8f2f517647145e8">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#afcd8e19633c56f02a8f2f517647145e8">ActionDismantlePart</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../d9/d33/class_action_dismantle_part_c_b.html">ActionDismantlePartCB</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DISASSEMBLE;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT;    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#adc529a8c7d00adb11ad04ba1369dd481">ROUGH_HIGH</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#dismantle&quot;</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a3cb043a76090c914bef2861df6d67920">   39</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a3cb043a76090c914bef2861df6d67920">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {   </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;<span class="comment">//CCTNonRuined( UAMaxDistances.BASEBUILDING );</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a065263c7e7f18296d65a983b1ab1c904">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a065263c7e7f18296d65a983b1ab1c904">OnActionInfoUpdate</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#dismantle &quot;</span> + construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#ad24cde1d7404f834a439a8749da50041">GetTargetPart</a>().<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a80a2a2136642a43e3c57af74d784433b">GetName</a>();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a8a7f123c8ca515071db0a5972dca4c57">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a8a7f123c8ca515071db0a5972dca4c57">GetText</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>() );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> ( player )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_class" href="../../d6/d8f/class_construction_part.html">ConstructionPart</a> constrution_part = construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#ad24cde1d7404f834a439a8749da50041">GetTargetPart</a>();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">if</span> ( constrution_part )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                <span class="keywordflow">return</span> <span class="stringliteral">&quot;#dismantle&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + constrution_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a80a2a2136642a43e3c57af74d784433b">GetName</a>();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a3240a86deb3bfcaf9e7da3c9bd0eac0a">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a3240a86deb3bfcaf9e7da3c9bd0eac0a">CanBeUsedLeaning</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#acef84d8642c814bd2f4b209b0f786ea9">   73</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#acef84d8642c814bd2f4b209b0f786ea9">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {   </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> ( player.IsPlacingLocal() )</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="comment">//Action not allowed if player has broken legs</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span> (player.GetBrokenLegs() == <a class="code hl_enumeration" href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a>.BROKEN_LEGS)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#ad723b6debca2ed8000b86380cc902bec">DismantleCondition</a>( player, target, item, <span class="keyword">true</span> ) &amp;&amp; player.m_MovementState.m_iStanceIdx != <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEIDX_PRONE;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a57caeb93c9df9274580b13b2660b586f">   85</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a57caeb93c9df9274580b13b2660b586f">ActionConditionContinue</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {   </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#ad723b6debca2ed8000b86380cc902bec">DismantleCondition</a>( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> , <span class="keyword">false</span> ) &amp;&amp; action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.m_MovementState.m_iStanceIdx != <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEIDX_PRONE;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }   </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a32a4d4472d4a1a7da5604fa54ef444d4">   90</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a32a4d4472d4a1a7da5604fa54ef444d4">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {   </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a> base_building = <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#ab5827f036a3bf21fbe63a9de21581172">Construction</a> construction = base_building.GetConstruction();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetConstructionActionData();</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_class" href="../../d6/d8f/class_construction_part.html">ConstructionPart</a> construction_part = construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#ad24cde1d7404f834a439a8749da50041">GetTargetPart</a>();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> ( construction.CanDismantlePart( construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">GetPartName</a>(), action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> ) )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="comment">//build</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            construction.DismantlePartServer( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">GetPartName</a>(), <a class="code hl_variable" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#a6996f99c8699b9446725d1b2921fb995">AT_DISMANTLE_PART</a> );</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <span class="comment">//add damage to tool</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.DecreaseHealth( <a class="code hl_class" href="../../d8/dc5/class_u_a_damage_applied.html">UADamageApplied</a>.<a class="code hl_variable" href="../../d8/dc5/class_u_a_damage_applied.html#ad102dcae5d29ef4fc42376be146a8c19">DISMANTLE</a>, <span class="keyword">false</span> );</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialty( <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">//setup</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a0e8e69f55fbec0c7335e7bef665f5453">  110</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a0e8e69f55fbec0c7335e7bef665f5453">SetupAction</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> extra_data = NULL )</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    {   </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">if</span> ( super.SetupAction( player, target, item, action_data, extra_data ) )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a3a38e527db90754c037ea48042ad03c5">SetBuildingAnimation</a>( item );</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a3a38e527db90754c037ea48042ad03c5">  122</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a3a38e527db90754c037ea48042ad03c5">SetBuildingAnimation</a>( <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">switch</span> ( item.Type() )</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <span class="keywordflow">case</span> Pickaxe:</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <span class="keywordflow">case</span> Shovel:</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <span class="keywordflow">case</span> <a class="code hl_class" href="../../db/d2b/class_farming_hoe.html">FarmingHoe</a>:</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            <span class="keywordflow">case</span> FieldShovel:</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DIG;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <span class="keywordflow">case</span> Pliers:</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_INTERACT;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                <span class="keywordflow">break</span>;              </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DISASSEMBLE;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    }   </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#ad723b6debca2ed8000b86380cc902bec">  141</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#ad723b6debca2ed8000b86380cc902bec">DismantleCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <span class="keywordtype">bool</span> camera_check )</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    {   </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">if</span> ( player &amp;&amp; !player.IsPlacingLocal() &amp;&amp; !player.IsPlacingServer() )</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> target_object = target.GetObject();</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target_entity;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <span class="keywordflow">if</span> ( target_object &amp;&amp; target_object.CanUseConstruction() )</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                <span class="comment">//invalid if is gate and is locked</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(target_entity,target_object) &amp;&amp; (target_entity.FindAttachmentBySlotName(<span class="stringliteral">&quot;Att_CombinationLock&quot;</span>) || target_entity.FindAttachmentBySlotName(<span class="stringliteral">&quot;Material_FPole_Flag&quot;</span>)) )</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                <span class="keywordtype">string</span> part_name = target_object.GetActionComponentName( target.GetComponentIndex() );</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a> base_building = <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a>.Cast( target_object );</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                <a class="code hl_function" href="../../de/df0/_construction_8c.html#ab5827f036a3bf21fbe63a9de21581172">Construction</a> construction = base_building.GetConstruction();        </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                <a class="code hl_class" href="../../d6/d8f/class_construction_part.html">ConstructionPart</a> construction_part = construction.GetConstructionPartToDismantle( part_name, item );</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                <span class="keywordflow">if</span> ( construction_part )</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                {</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                    <span class="comment">/*Print(&quot;DismantleCondition&quot;);</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="comment">                    Print(part_name);</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="comment">                    Print(&quot;construction_part.GetPartName: &quot; + construction_part.GetPartName());</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="comment">                    Print(&quot;construction_part.GetMainPartName: &quot; + construction_part.GetMainPartName());</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="comment">                    Print(&quot;-----&quot;);*/</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                    </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                    <span class="comment">//invalid on gate if the gate is opened</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>                    <span class="keywordflow">if</span> ( construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a0cb8d066e58eada3fc8e4ec8b397fe6e">IsGate</a>() &amp;&amp; base_building.<a class="code hl_function" href="../../dd/d90/class_base_building_base.html#a4c72ddb21ddc71430fbe42cd522d2f85">IsOpened</a>() )</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>                        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                    </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                    <span class="comment">//camera and position checks</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>                    <span class="keywordtype">bool</span> checked = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                    </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                    <span class="keywordflow">if</span> ( construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a7050c495f423fe9db9e0c140d6d1dbdc">IsBase</a>() )</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>                        checked = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                    </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                    <span class="keywordflow">if</span> ( !checked &amp;&amp; base_building.<a class="code hl_function" href="../../dd/d90/class_base_building_base.html#a0b53f2f4465ee54a6448aa1a04ca4fb5">IsPlayerInside</a>( player, part_name ) &amp;&amp; !player.GetInputController().CameraIsFreeLook() )</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>                    {</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>                        <span class="comment">//Camera check (client-only)</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                        <span class="keywordflow">if</span> ( camera_check )</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>                        {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>                            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>() &amp;&amp; ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() ) )</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                            {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>                                <span class="keywordflow">if</span> ( base_building.<a class="code hl_function" href="../../dd/d90/class_base_building_base.html#a9925bc4fa61d820bd77d3e8967baf5c4">IsFacingCamera</a>( part_name ) )</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>                                {</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>                                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>                                }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>                            }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>                        }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>                        checked = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>                    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>                    <span class="keywordflow">if</span> ( checked )</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>                    {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>                        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>                        construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#afd19e331b52e42d80602c2262f19f0fe">SetTargetPart</a>( construction_part );</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>                        </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>                        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>                    }</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>                }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        }</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    }</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="../../d6/d9d/class_action_dismantle_part.html#a4d3ac7df4dd4e33d9b37a7b6429b6bb3">  210</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d6/d9d/class_action_dismantle_part.html#a4d3ac7df4dd4e33d9b37a7b6429b6bb3">GetAdminLogMessage</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetConstructionActionData();</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <a class="code hl_class" href="../../d6/d8f/class_construction_part.html">ConstructionPart</a> construction_part = construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#ad24cde1d7404f834a439a8749da50041">GetTargetPart</a>();</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        <span class="keywordtype">string</span> message = <span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Dismantled %1 from %2 with %3&quot;</span>, construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a80a2a2136642a43e3c57af74d784433b">GetName</a>(), action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject().GetDisplayName(), action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetDisplayName() );</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <span class="keywordflow">return</span> message;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_user_actions_component_2__constants_8c_html_a6996f99c8699b9446725d1b2921fb995"><div class="ttname"><a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#a6996f99c8699b9446725d1b2921fb995">AT_DISMANTLE_PART</a></div><div class="ttdeci">const int AT_DISMANTLE_PART</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c_source.html#l00007">_constants.c:7</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_construction_8c_html_ab5827f036a3bf21fbe63a9de21581172"><div class="ttname"><a href="../../de/df0/_construction_8c.html#ab5827f036a3bf21fbe63a9de21581172">Construction</a></div><div class="ttdeci">void Construction(BaseBuildingBase parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df0/_construction_8c_source.html#l00026">Construction.c:26</a></div></div>
<div class="ttc" id="a_e_broken_legs_8c_html_a12f1d5042885139e5fa3d8ee34a474b6"><div class="ttname"><a href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a></div><div class="ttdeci">eBrokenLegs</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d11/_e_broken_legs_8c_source.html#l00001">EBrokenLegs.c:2</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aaf6ee4d1f067be1038b7a662af6af1bf"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a></div><div class="ttdeci">PlayerBase GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00047">ModifierBase.c:47</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_c_b_html"><div class="ttname"><a href="../../d9/d33/class_action_dismantle_part_c_b.html">ActionDismantlePartCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00001">ActionDismantlePart.c:2</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_c_b_html_aa408122495e5455f74dd9975447fc330"><div class="ttname"><a href="../../d9/d33/class_action_dismantle_part_c_b.html#aa408122495e5455f74dd9975447fc330">ActionDismantlePartCB::SetCallbackDuration</a></div><div class="ttdeci">float SetCallbackDuration(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00009">ActionDismantlePart.c:9</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_c_b_html_ae287b746b7b8f8a89b5b39ab97ca3210"><div class="ttname"><a href="../../d9/d33/class_action_dismantle_part_c_b.html#ae287b746b7b8f8a89b5b39ab97ca3210">ActionDismantlePartCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00003">ActionDismantlePart.c:3</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html">ActionDismantlePart</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00026">ActionDismantlePart.c:27</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a065263c7e7f18296d65a983b1ab1c904"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a065263c7e7f18296d65a983b1ab1c904">ActionDismantlePart::OnActionInfoUpdate</a></div><div class="ttdeci">override void OnActionInfoUpdate(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00045">ActionDismantlePart.c:45</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a0e8e69f55fbec0c7335e7bef665f5453"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a0e8e69f55fbec0c7335e7bef665f5453">ActionDismantlePart::SetupAction</a></div><div class="ttdeci">override bool SetupAction(PlayerBase player, ActionTarget target, ItemBase item, out ActionData action_data, Param extra_data=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00110">ActionDismantlePart.c:110</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a3240a86deb3bfcaf9e7da3c9bd0eac0a"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a3240a86deb3bfcaf9e7da3c9bd0eac0a">ActionDismantlePart::CanBeUsedLeaning</a></div><div class="ttdeci">override bool CanBeUsedLeaning()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00068">ActionDismantlePart.c:68</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a32a4d4472d4a1a7da5604fa54ef444d4"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a32a4d4472d4a1a7da5604fa54ef444d4">ActionDismantlePart::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00090">ActionDismantlePart.c:90</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a3a38e527db90754c037ea48042ad03c5"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a3a38e527db90754c037ea48042ad03c5">ActionDismantlePart::SetBuildingAnimation</a></div><div class="ttdeci">protected void SetBuildingAnimation(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00122">ActionDismantlePart.c:122</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a3cb043a76090c914bef2861df6d67920"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a3cb043a76090c914bef2861df6d67920">ActionDismantlePart::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00039">ActionDismantlePart.c:39</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a4d3ac7df4dd4e33d9b37a7b6429b6bb3"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a4d3ac7df4dd4e33d9b37a7b6429b6bb3">ActionDismantlePart::GetAdminLogMessage</a></div><div class="ttdeci">override string GetAdminLogMessage(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00210">ActionDismantlePart.c:210</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a57caeb93c9df9274580b13b2660b586f"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a57caeb93c9df9274580b13b2660b586f">ActionDismantlePart::ActionConditionContinue</a></div><div class="ttdeci">override bool ActionConditionContinue(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00085">ActionDismantlePart.c:85</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_a8a7f123c8ca515071db0a5972dca4c57"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#a8a7f123c8ca515071db0a5972dca4c57">ActionDismantlePart::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00051">ActionDismantlePart.c:51</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_acef84d8642c814bd2f4b209b0f786ea9"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#acef84d8642c814bd2f4b209b0f786ea9">ActionDismantlePart::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00073">ActionDismantlePart.c:73</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_ad723b6debca2ed8000b86380cc902bec"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#ad723b6debca2ed8000b86380cc902bec">ActionDismantlePart::DismantleCondition</a></div><div class="ttdeci">protected bool DismantleCondition(PlayerBase player, ActionTarget target, ItemBase item, bool camera_check)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00141">ActionDismantlePart.c:141</a></div></div>
<div class="ttc" id="aclass_action_dismantle_part_html_afcd8e19633c56f02a8f2f517647145e8"><div class="ttname"><a href="../../d6/d9d/class_action_dismantle_part.html#afcd8e19633c56f02a8f2f517647145e8">ActionDismantlePart::ActionDismantlePart</a></div><div class="ttdeci">void ActionDismantlePart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d04/_action_dismantle_part_8c_source.html#l00028">ActionDismantlePart.c:28</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_base_building_base_html"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00001">Fence.c:2</a></div></div>
<div class="ttc" id="aclass_base_building_base_html_a0b53f2f4465ee54a6448aa1a04ca4fb5"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html#a0b53f2f4465ee54a6448aa1a04ca4fb5">BaseBuildingBase::IsPlayerInside</a></div><div class="ttdeci">override bool IsPlayerInside(PlayerBase player, string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00619">Fence.c:619</a></div></div>
<div class="ttc" id="aclass_base_building_base_html_a4c72ddb21ddc71430fbe42cd522d2f85"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html#a4c72ddb21ddc71430fbe42cd522d2f85">BaseBuildingBase::IsOpened</a></div><div class="ttdeci">override bool IsOpened()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00110">Fence.c:110</a></div></div>
<div class="ttc" id="aclass_base_building_base_html_a9925bc4fa61d820bd77d3e8967baf5c4"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html#a9925bc4fa61d820bd77d3e8967baf5c4">BaseBuildingBase::IsFacingCamera</a></div><div class="ttdeci">override bool IsFacingCamera(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00682">Fence.c:682</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_time_html"><div class="ttname"><a href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daa/_c_a_continuous_time_8c_source.html#l00001">CAContinuousTime.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00001">ConstructionActionData.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_ad24cde1d7404f834a439a8749da50041"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#ad24cde1d7404f834a439a8749da50041">ConstructionActionData::GetTargetPart</a></div><div class="ttdeci">ConstructionPart GetTargetPart()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00077">ConstructionActionData.c:77</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_afd19e331b52e42d80602c2262f19f0fe"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#afd19e331b52e42d80602c2262f19f0fe">ConstructionActionData::SetTargetPart</a></div><div class="ttdeci">void SetTargetPart(ConstructionPart target_part)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00072">ConstructionActionData.c:72</a></div></div>
<div class="ttc" id="aclass_construction_part_html"><div class="ttname"><a href="../../d6/d8f/class_construction_part.html">ConstructionPart</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1b/_construction_part_8c_source.html#l00001">ConstructionPart.c:2</a></div></div>
<div class="ttc" id="aclass_construction_part_html_a0cb8d066e58eada3fc8e4ec8b397fe6e"><div class="ttname"><a href="../../d6/d8f/class_construction_part.html#a0cb8d066e58eada3fc8e4ec8b397fe6e">ConstructionPart::IsGate</a></div><div class="ttdeci">bool IsGate()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1b/_construction_part_8c_source.html#l00070">ConstructionPart.c:70</a></div></div>
<div class="ttc" id="aclass_construction_part_html_a5149dd9f39960d2667e5269ceb883215"><div class="ttname"><a href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">ConstructionPart::GetPartName</a></div><div class="ttdeci">string GetPartName()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1b/_construction_part_8c_source.html#l00030">ConstructionPart.c:30</a></div></div>
<div class="ttc" id="aclass_construction_part_html_a7050c495f423fe9db9e0c140d6d1dbdc"><div class="ttname"><a href="../../d6/d8f/class_construction_part.html#a7050c495f423fe9db9e0c140d6d1dbdc">ConstructionPart::IsBase</a></div><div class="ttdeci">bool IsBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1b/_construction_part_8c_source.html#l00065">ConstructionPart.c:65</a></div></div>
<div class="ttc" id="aclass_construction_part_html_a80a2a2136642a43e3c57af74d784433b"><div class="ttname"><a href="../../d6/d8f/class_construction_part.html#a80a2a2136642a43e3c57af74d784433b">ConstructionPart::GetName</a></div><div class="ttdeci">string GetName()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1b/_construction_part_8c_source.html#l00024">ConstructionPart.c:24</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_farming_hoe_html"><div class="ttname"><a href="../../db/d2b/class_farming_hoe.html">FarmingHoe</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df8/_farming_hoe_8c_source.html#l00001">FarmingHoe.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_damage_applied_html"><div class="ttname"><a href="../../d8/dc5/class_u_a_damage_applied.html">UADamageApplied</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00127">ActionConstants.c:128</a></div></div>
<div class="ttc" id="aclass_u_a_damage_applied_html_ad102dcae5d29ef4fc42376be146a8c19"><div class="ttname"><a href="../../d8/dc5/class_u_a_damage_applied.html#ad102dcae5d29ef4fc42376be146a8c19">UADamageApplied::DISMANTLE</a></div><div class="ttdeci">const float DISMANTLE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00130">ActionConstants.c:130</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00115">ActionConstants.c:116</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_adc529a8c7d00adb11ad04ba1369dd481"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#adc529a8c7d00adb11ad04ba1369dd481">UASoftSkillsWeight::ROUGH_HIGH</a></div><div class="ttdeci">const float ROUGH_HIGH</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00119">ActionConstants.c:119</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00026">ActionConstants.c:27</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html_abacfa3f734ee6aadd33f41db0817a93f"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html#abacfa3f734ee6aadd33f41db0817a93f">UATimeSpent::BASEBUILDING_DECONSTRUCT_SLOW</a></div><div class="ttdeci">const float BASEBUILDING_DECONSTRUCT_SLOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00062">ActionConstants.c:62</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../d3/d04/_action_dismantle_part_8c.html">ActionDismantlePart.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
